Bug 916734 - need a way to exclude dirs from restorecon
Summary: need a way to exclude dirs from restorecon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: policycoreutils
Version: 6.4
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Daniel Walsh
QA Contact: Michal Trunecka
URL:
Whiteboard:
Depends On:
Blocks: 947775
TreeView+ depends on / blocked
 
Reported: 2013-02-28 19:47 UTC by seth vidal
Modified: 2014-09-30 23:34 UTC (History)
8 users (show)

Fixed In Version: policycoreutils-2.0.83-19.38.el6
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-21 11:07:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1608 normal SHIPPED_LIVE policycoreutils bug fix and enhancement update 2013-11-20 21:39:06 UTC

Description seth vidal 2013-02-28 19:47:32 UTC
Description of problem:
On upgrading our central log server took almost 2 hours to run restorecon as a result of an selinux policy pkg update.

It would be wonderful to backport the ability to exclude relabeling of certain dirs from the fedora fixfiles to the rhel6.4 fixfiles.



Background:
our log server has A LOT of file in /var/log - files for every host, multiple per day, spanning back years. We'd like to not relabel all of them on each update.

Try running restorecon on a massive dir with lots of files and time it. That's how long the yum process runs.

Thanks!

Comment 1 Daniel Walsh 2013-02-28 20:39:36 UTC
Backported fixfiles script from Fedora

Fixed in 
policycoreutils-2.0.83-19.31.el6

Add /var/log to  /etc/selinux/fixfiles_exclude_dirs should stop fixfiles and selinux-policy updates from looking at this directory.

Comment 8 Michal Trunecka 2013-07-22 15:59:21 UTC
Is this issue really fixed? I haven't found this in Changelog, man pages nor in git commits.

Comment 13 Miroslav Grepl 2013-09-05 12:56:12 UTC
Fixed in policycoreutils-2.0.83-19.33.el6

Comment 22 Michal Trunecka 2013-10-03 09:36:53 UTC
Yes, it seems to be ok to me too.

Comment 25 errata-xmlrpc 2013-11-21 11:07:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1608.html


Note You need to log in before you can comment on or make changes to this bug.